commit:     2a30bd0ea8996f7fc7c170543837901d22779d41
Author:     Filip Kobierski <fkobi <AT> pm <DOT> me>
AuthorDate: Tue Mar  4 09:53:19 2025 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Tue May  6 07:48:44 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2a30bd0e

dev-util/peg: add 0.1.19 with small improvements

0.1.20 is not stable and it's tarball changes

- bump EAPI
- add comment explaining versioning
- add DOCS
- remove generic `die` explanations
- remove dodir /usr/bin as it's the default
- remove --force from rm
- add comment explaining what is done

Signed-off-by: Filip Kobierski <fkobi <AT> pm.me>
Closes: https://github.com/gentoo/gentoo/pull/40878
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 dev-util/peg/Manifest          |  1 +
 dev-util/peg/peg-0.1.19.ebuild | 51 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-util/peg/Manifest b/dev-util/peg/Manifest
index 89cfdb279189..f00b375cf7b6 100644
--- a/dev-util/peg/Manifest
+++ b/dev-util/peg/Manifest
@@ -1 +1,2 @@
 DIST peg-0.1.18.tar.gz 57776 BLAKE2B 
3266db2009073ee95a7fe65f3969b06001669dca095a8b77cbef3293557f9919872b44b348ff3de53cf8a132fd414c265bf0da3f77f0da0391d6d53cf4ab9217
 SHA512 
ca2fb9088bf87955adf6f883370ddb7d5f6f3cae3605a871094317205a124cce4f7b9f83cf4662cb470e2c5a6977608b456eb1fad98022d7e40fc384d1fec0f8
+DIST peg-0.1.19.tar.gz 136241 BLAKE2B 
78487434f49c64bbe4454e603d5bef8f264fd095339a389c16eb50765e641b2a337426d7bd5fef5d3ad205d9e502850b3f813a7a67b399a936c402f25a74b0c6
 SHA512 
fc6a1dfab73bde6992b5385ac1c190fa957e9838d5ec6ddb2bbe6f773766c793d745e892bc952dc65969a6ff942424b7208a9d9d27f177a451da5c22b05d5575

diff --git a/dev-util/peg/peg-0.1.19.ebuild b/dev-util/peg/peg-0.1.19.ebuild
new file mode 100644
index 000000000000..3a77c7df6606
--- /dev/null
+++ b/dev-util/peg/peg-0.1.19.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Recursive-descent parser generators for C"
+HOMEPAGE="https://piumarta.com/software/peg/";
+# NOTE: Check HOMEPAGE for latest stable version
+SRC_URI="https://piumarta.com/software/${PN}/${P}.tar.gz";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DOCS=( ChangeLog README.txt )
+
+src_prepare() {
+       eapply_user
+
+       sed -i \
+               -e '/strip/d' \
+               -e '/^CFLAGS/d' \
+               -e 's/$(CC) $(CFLAGS) -o/$(CC) $(CFLAGS) $(LDFLAGS) -o/g' \
+                       Makefile || die
+}
+
+src_compile() {
+       emake \
+               CC="$(tc-getCC)" \
+               CFLAGS="${CFLAGS}" \
+               LDFLAGS="${LDFLAGS}"
+}
+
+src_install() {
+       emake \
+               ROOT="${D}" \
+               PREFIX="/usr" \
+               install
+       # "reinstall" manpages to a proper location
+       rm -r "${D}/usr/man" || die
+       doman src/${PN}.1
+}
+
+src_test() {
+       emake check test \
+               CC="$(tc-getCC)" \
+               CFLAGS="${CFLAGS}" \
+               LDFLAGS="${LDFLAGS}"
+}

Reply via email to